PulseAudio 16.1

Data Fields
pa_sample_spec Struct Reference

A sample format and attribute specification. More...

`#include <sample.h>`

## Data Fields
pa_sample_format_t | format
| The sample format. More...
uint32_t | rate
| The sample rate. More...
uint8_t | channels
| Audio channels. More...

## Detailed Description

A sample format and attribute specification.

Examples
  pacat-simple.c, and parec-simple.c.

## Field Documentation

## ◆ channels

uint8_t pa_sample_spec::channels

Audio channels.

(1 for mono, 2 for stereo, ...)

## ◆ format

pa_sample_format_t pa_sample_spec::format

The sample format.

Examples
  pacat-simple.c, and parec-simple.c.

## ◆ rate

uint32_t pa_sample_spec::rate

The sample rate.

(e.g. 44100)

The documentation for this struct was generated from the following file:

- sample.h